import { useDrawerLayer } from '@material-hu/components/layers/Drawers';

import MoodStatusFormDrawer from './MoodStatusFormDrawer';

export const useMoodStatusDrawer = () => {
  const { openDrawer } = useDrawerLayer();

  const openMoodDrawer = () =>
    openDrawer({ content: <MoodStatusFormDrawer /> });

  return { openMoodDrawer };
};
